org.apache.ivy.ant

## Class AddPathTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.AddPathTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class AddPathTask
    extends org.apache.tools.ant.Task

This task is not directly related to ivy, but is useful in some modular build systems. The idea is to be able to contribute new sub path elements to an existing path.

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`AddPathTask()`

### Method Summary

Methods
`void` `add(org.apache.tools.ant.types.Path path)`
`void` `addDirset(org.apache.tools.ant.types.DirSet dset)`
`void` `addFilelist(org.apache.tools.ant.types.FileList fl)`
`void` `addFileset(org.apache.tools.ant.types.FileSet fs)`
`org.apache.tools.ant.types.Path` `createPath()`
`org.apache.tools.ant.types.Path.PathElement` `createPathElement()`
`void` `execute()`
`java.lang.String` `getTopath()`
`boolean` `isFirst()`
`void` `setFirst(boolean first)`
`void` `setProject(org.apache.tools.ant.Project project)`
`void` `setTopath(java.lang.String toPath)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddPathTask

    public AddPathTask()

### Method Detail

#### getTopath

    public java.lang.String getTopath()

#### setTopath

    public void setTopath(java.lang.String toPath)

#### setProject

    public void setProject(org.apache.tools.ant.Project project)

Overrides:
  `setProject` in class `org.apache.tools.ant.ProjectComponent`

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### add

    public void add(org.apache.tools.ant.types.Path path)
             throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### addDirset

    public void addDirset(org.apache.tools.ant.types.DirSet dset)
                   throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### addFilelist

    public void addFilelist(org.apache.tools.ant.types.FileList fl)
                     throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet fs)
                    throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### createPath

    public org.apache.tools.ant.types.Path createPath()
                                               throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### createPathElement

    public org.apache.tools.ant.types.Path.PathElement createPathElement()
                                                                  throws org.apache.tools.ant.BuildException

Throws:
  `org.apache.tools.ant.BuildException`

#### isFirst

    public boolean isFirst()

#### setFirst

    public void setFirst(boolean first)